<?php
$keyses = array(
	'a' => array(
		'href' => array(),
		'title' => array(),
		'target' => array(),
		),
	'br' => array(),
	'em' => array(),
	'strong' => array(),
);
vc_map( array(
    'name'			=> esc_html__( 'Webnus GoogleMaps', 'power-addons' ),
	'description'	=> esc_html__( 'Google map', 'power-addons' ),
    'base'			=> 'gmap',
    'icon'			=> 'webnus-google-map',
	'category'		=> esc_html__( 'Webnus Shortcodes', 'power-addons' ),
    'params'		=> array(
    	array(
			'type'				=> 'textfield',
			'heading'			=> esc_html__('Google Map API', 'power-addons') ,
			'description'		=> wp_kses( __('You should create an API for yourself and put code here. red below link to more info:  <a href="https://console.developers.google.com/flows/enableapi?apiid=maps_backend,geocoding_backend,directions_backend,distance_matrix_backend,elevation_backend,places_backend&keyType=CLIENT_SIDE&reusekey=true" target="_blank">Here</a><br><br>', 'power-addons'), $keyses ),
			'param_name'		=> 'map_api',
			'group'				=> esc_html__( 'General', 'power-addons' ),
		),
    	array(
			'type'				=> 'textfield',
			'heading'			=> esc_html__('Map center Latitude', 'power-addons') ,
			'description'		=> wp_kses( __('please enter map center Latitude<br/><br/>', 'power-addons'), $keyses ),
			'param_name'		=> 'lat_center',
			'std'				=> '39.596165',
			'group'				=> esc_html__( 'General', 'power-addons' ),
			'edit_field_class'	=> 'vc_col-sm-6',
		),
		array(
			'type'				=> 'textfield',
			'heading'			=> esc_html__('Map center Longitude', 'power-addons') ,
			'description'		=> wp_kses( __('please enter map center Longitude<br/><br/>', 'power-addons'), $keyses ),
			'param_name'		=> 'lon_center',
			'std'				=> '-102.810059',
			'group'				=> esc_html__( 'General', 'power-addons' ),
			'edit_field_class'	=> 'vc_col-sm-6',
		),
		array(
			'type'				=> 'textfield',
			'heading'			=> esc_html__('Zoom', 'power-addons') ,
			'description'		=> wp_kses( __('Default map zoom level. (1-19)<br/><br/>', 'power-addons'), $keyses ),
			'param_name'		=> 'zoom_map',
			'std'				=> '9',
			'group'				=> esc_html__( 'General', 'power-addons' ),
			'edit_field_class'	=> 'vc_col-sm-6',
		),
		array(
			'type'				=> 'textfield',
			'heading'			=> esc_html__('Zoom After click on marker', 'power-addons') ,
			'description'		=> wp_kses( __('Default map zoom level after click on marker. (1-19)<br/><br/>', 'power-addons'), $keyses ),
			'param_name'		=> 'zoom_click',
			'std'				=> '17',
			'group'				=> esc_html__( 'General', 'power-addons' ),
			'edit_field_class'	=> 'vc_col-sm-6',
		),
		array(
			'type'				=> 'textfield',
			'heading'			=> esc_html__('Width', 'power-addons') ,
			'description'		=> wp_kses( __('Set to 0 is the full width. (0-960)<br/><br/>', 'power-addons'), $keyses ),
			'param_name'		=> 'width',
			'std'				=> '0',
			'group'				=> esc_html__( 'General', 'power-addons' ),
			'edit_field_class'	=> 'vc_col-sm-6',
		),
		array(
			'type'				=> 'textfield',
			'heading'			=> esc_html__('Height', 'power-addons') ,
			'description'		=> wp_kses( __('Default is 400.<br/><br/>', 'power-addons'), $keyses ),
			'param_name'		=> 'height',
			'std'				=> '400',
			'group'				=> esc_html__( 'General', 'power-addons' ),
			'edit_field_class'	=> 'vc_col-sm-6',
		),
		array(
			'type'			=> 'checkbox',
			'heading'		=> esc_html__('Display Map Types', 'power-addons') ,
			'description'	=> wp_kses( __('You can see Map Types <a href="https://developers.google.com/maps/documentation/javascript/maptypes" target="_blank">Here</a><br>', 'power-addons'), $keyses ),
			'param_name'	=> 'map_type_display',
			'std'			=> 'true',
			'group'			=> esc_html__( 'General', 'power-addons' ),
		),
		array(
			'type'			=> 'checkbox',
			'heading'		=> esc_html__('Select Map Types', 'power-addons') ,
			'description'	=> wp_kses( __('Select your map type.<br/><br/>', 'power-addons'), $keyses ),
			'param_name'	=> 'map_type',
			'value'			=> array(
				esc_html__( 'Roadmap', 'power-addons' )								=> '\'roadmap\'',
				esc_html__( 'Terrain (load with Roadmap type)', 'power-addons' )	=> '\'terrain\'',
				esc_html__( 'Satellite', 'power-addons' ) 							=> '\'satellite\'',
				esc_html__( 'Hybrid (load with Satellite type)', 'power-addons' )	=> '\'hybrid\'',
			),
			'std'			=> '\'roadmap\'',
			'group'			=> esc_html__( 'General', 'power-addons' ),
			'dependency'	=> array( 'element'=>'map_type_display', 'value' => 'true' ),
		),
		array(
			'type'				=> 'checkbox',
			'heading'			=> esc_html__('Enable Draggable feature', 'power-addons') ,
			'description'		=> wp_kses( __('Enable Draggable feature. see <a href="https://developers.google.com/maps/documentation/javascript/markers#draggable" target="_blank">Here</a> for more information.<br/><br/>', 'power-addons'), $keyses ),
			'std'				=> 'true',
			'param_name'		=> 'draggable',
			'group'				=> esc_html__( 'General', 'power-addons' ),
			'edit_field_class'	=> 'vc_col-sm-6',
		),
		array(
			'type'				=> 'checkbox',
			'heading'			=> esc_html__('Enable Drop Animation', 'power-addons') ,
			'std'				=> 'true',
			'description'		=> wp_kses( __('Drop Animation for markers. see <a href="https://developers.google.com/maps/documentation/javascript/examples/marker-animations" target="_blank">Here</a> for more information.<br/><br/>', 'power-addons'), $keyses ),
			'param_name'		=> 'animation',
			'group'				=> esc_html__( 'General', 'power-addons' ),
			'edit_field_class'	=> 'vc_col-sm-6',
		),
		array(
			'type'				=> 'checkbox',
			'heading'			=> esc_html__('Enable Zoom Control', 'power-addons') ,
			'std'				=> 'true',
			'description'		=> wp_kses( __('The Zoom control displays "+" and "-" buttons for changing the zoom level of the map.<br/><br/>', 'power-addons'), $keyses ),
			'param_name'		=> 'zoom_control_display',
			'group'				=> esc_html__( 'General', 'power-addons' ),
			'edit_field_class'	=> 'vc_col-sm-6',
		),
		array(
			'type'				=> 'checkbox',
			'heading'			=> esc_html__('Enable Scrollwheel', 'power-addons') ,
			'std'				=> 'true',
			'description'		=> wp_kses( __('This feature stops zoom in/out your map when your page scrolls up and down from Google map section, so only the page will scroll.<br/><br/>', 'power-addons'), $keyses ),
			'param_name'		=> 'scrollwheel',
			'group'				=> esc_html__( 'General', 'power-addons' ),
			'edit_field_class'	=> 'vc_col-sm-6',
		),
		array(
			'type'				=> 'checkbox',
			'heading'			=> esc_html__('Enable Street View Control', 'power-addons') ,
			'std'				=> 'true',
			'description'		=> wp_kses( __('You can see Documentation <a href="https://developers.google.com/maps/documentation/ios-sdk/streetview" target="_blank">Here</a><br/><br/>', 'power-addons'), $keyses ),
			'param_name'		=> 'street_view',
			'group'				=> esc_html__( 'General', 'power-addons' ),
			'edit_field_class'	=> 'vc_col-sm-6',
		),
		array(
			'type'				=> 'checkbox',
			'heading'			=> esc_html__('Enable Scale Control', 'power-addons') ,
			'std'				=> 'true',
			'description'		=> wp_kses( __('You can see Documentation <a href="https://developers.google.com/maps/documentation/javascript/controls#DefaultUI" target="_blank">Here</a><br/><br/>', 'power-addons'), $keyses ),
			'param_name'		=> 'scale_control',
			'group'				=> esc_html__( 'General', 'power-addons' ),
			'edit_field_class'	=> 'vc_col-sm-6',
		),
		array(
			'type'				=> 'colorpicker',
			'heading'			=> esc_html__('Background Color', 'power-addons'),
			'param_name'		=> 'bg_color',
			'description'		=> wp_kses( __('Select map background color.', 'power-addons'), $keyses ),
			'group'				=> esc_html__( 'General', 'power-addons' ),
			'edit_field_class'	=> 'vc_col-sm-6',
		),
		array(
			'type'				=> 'colorpicker',
			'heading'			=> esc_html__('Hue', 'power-addons'),
			'param_name'		=> 'hue',
			'description'		=> wp_kses( __('You can see Hue example <a href="https://developers.google.com/maps/documentation/javascript/styling" target="_blank">Here</a><br/><br/>', 'power-addons'), $keyses ),
			'group'				=> esc_html__( 'General', 'power-addons' ),
			'edit_field_class'	=> 'vc_col-sm-6',
		),

		array(
			'type'			=> 'attach_image',
			'heading'		=> esc_html__( 'Custom Marker', 'power-addons' ),
			'description'	=> esc_html__( 'You can select an image for your marker. if you want seperate marker for eack point, you should set it in Addresses tab.', 'power-addons'),
			'param_name'	=> 'custom_marker',
			'value'			=> '',
			'group'			=> esc_html__( 'General', 'power-addons' ),
		),

		array(
			'type'			=> 'textfield',
			'heading'		=> esc_html__( 'Info Box Title', 'power-addons' ),
			'description'	=> esc_html__( 'Information Box title', 'power-addons'),
			'param_name'	=> 'info_box_title',
			'value'			=> '',
			'group'			=> esc_html__( 'Information Box', 'power-addons' ),
		),

		array(
			'type'			=> 'textarea',
			'heading'		=> esc_html__( 'Info Box Description', 'power-addons' ),
			'description'	=> esc_html__( 'Information Box Description', 'power-addons'),
			'param_name'	=> 'info_box_desc',
			'value'			=> '',
			'group'			=> esc_html__( 'Information Box', 'power-addons' ),
		),

		array(
			'type'			=> 'param_group',
			'heading'		=> esc_html__( 'Google map', 'power-addons' ),
			'description'	=> esc_html__( ' Please Add Your Item ', 'power-addons' ),
			'param_name'	=> 'map_points',
			'value' 		=> '',
			'params'		=> array(
				array(
					'type'				=> 'textfield',
					'heading'			=> esc_html__( ' Latitude ', 'power-addons' ),
					'description'		=> esc_html__( ' Please enter your Latitude ', 'power-addons' ),
					'param_name'		=> 'latitude',
					'value'				=> '',
					'edit_field_class'	=> 'vc_col-sm-6',
					'admin_label'		=> true,
				),
				array(
					'type'				=> 'textfield',
					'heading'			=> esc_html__( ' Longitude ', 'power-addons' ),
					'description'		=> esc_html__( ' Please enter your Longitude ', 'power-addons' ),
					'param_name'		=> 'longitude',
					'value'				=> '',
					'edit_field_class'	=> 'vc_col-sm-6 webnus_col-sm-6',
					'admin_label'		=> true,
				),
				array(
					'type'				=> 'textarea',
					'heading'			=> esc_html__( ' Address/Info ', 'power-addons' ),
					'description'		=> esc_html__( ' Please enter your Address or information about this point. It Appears after click on Icon marker.', 'power-addons' ),
					'param_name'		=> 'address',
					'value'				=> '',
				),
				array(
					'type'				=> 'textfield',
					'heading'			=> esc_html__( ' Location Title ', 'power-addons' ),
					'description'		=> esc_html__( ' Define the place with a location, and a query string ', 'power-addons' ),
					'param_name'		=> 'location_title',
					'value'				=> '',
					'edit_field_class'	=> 'vc_col-sm-6',
				),
				array(
					'type'				=> 'textfield',
					'heading'			=> esc_html__( ' Location Website ', 'power-addons' ),
					'description'		=> esc_html__( ' Define the place with a location, and a query string ', 'power-addons' ),
					'param_name'		=> 'location_website',
					'value'				=> '',
					'edit_field_class'	=> 'vc_col-sm-6',
				),
				array(
					'type'			=> 'attach_image',
					'heading'		=> esc_html__( 'Custom point Marker', 'power-addons' ),
					'description'	=> esc_html__( 'You can select an image for your marker seperately', 'power-addons'),
					'param_name'	=> 'custom_marker_s',
					'value'			=> '',
				),
			),
			'group'		=> esc_html__( 'Addresses', 'power-addons' ),
		),
	),
) );